curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/scim/Users \
--header 'Authorization: <authorization>' \
--header 'None: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/scim/Users"
headers = {
"Authorization": "<authorization>",
"None": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>', None: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/scim/Users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Resources": [
{}
],
"itemsPerPage": 50,
"schemas": [
"<string>"
],
"startIndex": 1,
"totalResults": 42
}Search users
This operation supports SCIM Filter, SCIM attributes and SCIM sort
Supported attributes:
idactiveuserNamename.givenNamename.familyNameemails.valuemeta.created
Requires a valid Bearer token in the Authorization header.
Authorizations
No authentication required. This is used for public endpoints.
Headers
Bearer token for SCIM authentication
Query Parameters
SCIM filter expression
Comma-separated list of SCIM attributes to include in the response
Attribute name to sort by
Sort direction
ascending, descending The 1-based index of the first search result
x >= 1Maximum number of results per page; maximum 100
0 <= x <= 100Response
OK
SCIM ListResponse — bulk result set returned from search operations
Maximum number of resources returned per page
50
SCIM schemas identifying this as a ListResponse
1-based index of the first result in the current page
1
Total number of matching resources across all pages
42
Was this page helpful?